View Issue Details

IDProjectCategoryView StatusLast Update
0001121HTML & PERLBug Report - Interfacepublic2008-08-01 19:58
ReporterMizardX Assigned Tofahrenheit  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001121: Group-info missing in xml for mylist
Description1. From my list: http://anidb.net/perl-bin/animedb.pl?uid=8295&showvotes=1&showheader=1&show=mylist&onlyviewed=0&onlyunviewed=0&onlystate=0&onlyincomplete=0&onlycomplete=0&onlycat=0&noeptb=1&hidestalled=0&h=0&filemode=1&char=t
2. Trying to expand 'The Animatrix' (aid 517), the script retrieves
http://anidb.net/perl-bin/animedb.pl?show=xml&t=useranime&aid=517&uid=8295
Group info for 'BeNooL' (gid 413) is missing in the reply, which leads to a javascript error on line 463 of parser.js: 'group has no properties'
Additional InformationLogged in as 'MizardX' (uid 8295).
Ajax enabled.
Using Firefox 2.0.0.14 w/ Firebug 1.05 on Windows XP.
TagsAJAX, mylist, XML

Activities

MizardX

2008-04-27 01:01

reporter   ~0002006

Hmm... the 'dump' tag seems to have been added unintentionally.

fahrenheit

2008-04-27 14:10

reporter   ~0002010

hmm, this will need a perl release to fix, try adding &ajax=0 to the url whenever you know a page will fail.

and if you find more examples of this borking please tell.

MizardX

2008-04-27 16:26

reporter   ~0002011

Same problem on http://anidb.net/a517
Though there Ajax gets disabled completely and falls back on the old behavior.
Maybe modify the Javascript to check for missing data?

fahrenheit

2008-08-01 19:58

reporter   ~0002250

fixed on the next perl release

Issue History

Date Modified Username Field Change
2008-04-27 00:38 MizardX New Issue
2008-04-27 00:54 MizardX Tag Attached: AJAX
2008-04-27 00:54 MizardX Tag Attached: dump
2008-04-27 00:55 MizardX Tag Attached: mylist
2008-04-27 00:55 MizardX Tag Attached: XML
2008-04-27 01:01 MizardX Note Added: 0002006
2008-04-27 14:10 fahrenheit Note Added: 0002010
2008-04-27 14:11 fahrenheit Assigned To => fahrenheit
2008-04-27 14:11 fahrenheit Status new => acknowledged
2008-04-27 16:26 MizardX Note Added: 0002011
2008-04-28 07:22 nwa Tag Detached: dump
2008-05-25 23:30 fahrenheit Severity minor => major
2008-08-01 19:58 fahrenheit Status acknowledged => resolved
2008-08-01 19:58 fahrenheit Resolution open => fixed
2008-08-01 19:58 fahrenheit Note Added: 0002250